%define name orc
%define version 0.4.25
%define release %mkrel 1

%define api 0.4
%define major 0
%define libname %mklibname %name %api %major
%define develname %mklibname -d %name

Summary: The Oil Runtime Compiler
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://code.entropywave.com/download/%{name}/%{name}-%{version}.tar.xz
Patch1: 0001-Use-a-subdirectory-for-temporary-files.patch
Patch2: 0002-Add-compiler-option-for-ENABLE_USER_CODEMEM.patch
#Patch3: 0001-test-limits-improve-test-without-target.patch
#Patch4: 0002-compiler-also-prefer-the-backup-function-when-no-tar.patch 
#Patch5: 0003-executor-fix-load-of-parameters-smaller-than-64-bits.patch
License: BSD
Group: Development/Other
Url: http://code.entropywave.com/projects/%{name}/
Obsoletes: %name < %version

%description
Orc is a library and set of tools for compiling and executing very
simple programs that operate on arrays of data.  The “language” is a
generic assembly language that represents many of the features
available in SIMD architectures, including saturated addition and
subtraction, and many arithmetic operations.

%package -n %libname
Summary: The Oil Runtime Compiler
Group: System/Libraries


%description -n %libname
Orc is a library and set of tools for compiling and executing very
simple programs that operate on arrays of data.  The “language” is a
generic assembly language that represents many of the features
available in SIMD architectures, including saturated addition and
subtraction, and many arithmetic operations.

%package -n %develname
Summary: The Oil Runtime Compiler
Group: Development/Libraries
Requires: %libname = %version-%release
Requires: %name >= %version-%release
Provides: lib%name-devel = %version-%release
Obsoletes: orc-devel < %version

%description -n %develname
Orc is a library and set of tools for compiling and executing very
simple programs that operate on arrays of data.  The “language” is a
generic assembly language that represents many of the features
available in SIMD architectures, including saturated addition and
subtraction, and many arithmetic operations.

%prep
%setup -q
%apply_patches

%build
autoreconf -fi
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -rf %{buildroot}%_libdir/lib%{name}*-%api.a
rm -rf %{buildroot}%_libdir/lib%{name}*-%api.la

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README TODO
%_bindir/%{name}c
%_bindir/%{name}-bugreport

%files -n %libname
%defattr(-,root,root)
%_libdir/lib%{name}*-%api.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%_includedir/%name-%api/
%_libdir/lib%{name}*-%api.so
%_libdir/pkgconfig/%{name}-%api.pc
%_datadir/gtk-doc/html/%{name}
%_datadir/aclocal/%{name}.m4


%changelog
* Sun Oct 16 2016 adrianomorselli <adrianomorselli> 0.4.25-1uplos2016
- rebuild

* Sun Apr 17 2016 bb <bb> 0.4.25-1pclos2016
- update

* Thu Jan 07 2016 bb <bb> 0.4.24-1pclos2016
- update

* Sat May 11 2013 Ken <lxgator at gmail.com> 0.4.17-1pclos2013
- 0.4.17

* Thu Oct 20 2011 Texstar <texstar at gmail.com> 0.4.16-1pclos2011
- 0.4.16
